1

While updating my Archlinux packages with _ packman -Syu, I see that dkms fails to install modules:

(11/23) Install DKMS modules
==> dkms install --no-depmod v4l2loopback-dc/2.1.2 -k 6.8.5-arch1-1
Error! Bad return status for module build on kernel: 6.8.5-arch1-1 (x86_64)
Consult /var/lib/dkms/v4l2loopback-dc/2.1.2/build/make.log for more information.
==> WARNING: `dkms install --no-depmod v4l2loopback-dc/2.1.2 -k 6.8.5-arch1-1' exited 10
==> dkms install --no-depmod v4l2loopback/0.13.1 -k 6.8.5-arch1-1
==> depmod 6.8.5-arch1-1
(12/23) Updating TeXLive filename database...

In the log file (translated):

DKMS make.log for v4l2loopback-dc-2.1.2 for kernel 6.8.5-arch1-1 (x86_64)
Tue 16 Apr 2024 07:56:42 +03
make -C /lib/modules/6.8.5-arch1-1/build M=/var/lib/dkms/v4l2loopback-dc/2.1.2/build modules
make[1]: enter directory "/usr/lib/modules/6.8.5-arch1-1/build"
   CC [M] /var/lib/dkms/v4l2loopback-dc/2.1.2/build/v4l2loopback-dc.o
/var/lib/dkms/v4l2loopback-dc/2.1.2/build/v4l2loopback-dc.c: In the "vidioc_querycap" function:
/var/lib/dkms/v4l2loopback-dc/2.1.2/build/v4l2loopback-dc.c:622:3: error: implicit function declaration 'strlcpy'; did you mean "strscpy"? [-Werror=implicit-function-declaration]
   622 | strlcpy(cap->driver, "Droidcam", sizeof(cap->driver));
       | ^~~~~~~
       | strscpy
cc1: some warnings are considered errors
make[3]: *** [scripts/Makefile.build:243: /var/lib/dkms/v4l2loopback-dc/2.1.2/build/v4l2loopback-dc.o] Error 1
make[2]: *** [/usr/lib/modules/6.8.5-arch1-1/build/Makefile:1921: /var/lib/dkms/v4l2loopback-dc/2.1.2/build] Error 2
make[1]: *** [Makefile:240: __sub-make] Error 2
make[1]: exit from the directory "/usr/lib/modules/6.8.5-arch1-1/build"
make: *** [Makefile:8: all] Error 2

Is it a bug inside v4l2loopback source code or is it wrong dependencies? Thanks

1 Answer 1

1

This is caused by the final removal of strlcpy() (deemed unsafe) in Linux 6.8.x after all its in-kernel users switched to strscpy(). Usually "external" users (out-of-tree kernel modules) can lag a bit for such changes.

Droidcam's v4l2loopback-dc did fix this in version 2.1.3 with this commit on 2024-03-26:

Version 2.1.3

Use strscpy instead of strlcpy.
Linux 6.8 has removed strlcpy.

So you'll have to wait Archlinux picks version 2.1.3 or apply the patch yourself.

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .